
# .pro to build project using qmake
# run $qmake build_makefile.pro


LIB_3D=lib_3D/
LIB_IMAGE=lib_image/
HEADER=header/
SRC=src/

F01=main
F02=camera
F03=light
F04=mesh
F05=mesh_io
F06=render_engine
F07=shading
F08=triangle
F09=v3
F10=vertex
F11=vertex_shader
F12=algorithm
F13=color
F14=image
F15=image_drawable
F16=image_drawable_zbuffer
F17=image_io
F18=p2d
F19=pixel_interp
F20=scanline_buffer
F21=scanline_data
F22=z_buffer
F23=exception_cpe

HEADERS = $${LIB_3D}$${HEADER}$${F02}.hpp \
          $${LIB_3D}$${HEADER}$${F03}.hpp \
          $${LIB_3D}$${HEADER}$${F04}.hpp \
          $${LIB_3D}$${HEADER}$${F05}.hpp \
          $${LIB_3D}$${HEADER}$${F06}.hpp \
          $${LIB_3D}$${HEADER}$${F07}.hpp \
          $${LIB_3D}$${HEADER}$${F08}.hpp \
          $${LIB_3D}$${HEADER}$${F09}.hpp \
          $${LIB_3D}$${HEADER}$${F10}.hpp \
          $${LIB_3D}$${HEADER}$${F11}.hpp \
          $${LIB_IMAGE}$${HEADER}$${F12}.hpp \
          $${LIB_IMAGE}$${HEADER}$${F13}.hpp \
          $${LIB_IMAGE}$${HEADER}$${F14}.hpp \
          $${LIB_IMAGE}$${HEADER}$${F15}.hpp \
          $${LIB_IMAGE}$${HEADER}$${F16}.hpp \
          $${LIB_IMAGE}$${HEADER}$${F17}.hpp \
          $${LIB_IMAGE}$${HEADER}$${F18}.hpp \
          $${LIB_IMAGE}$${HEADER}$${F19}.hpp \
          $${LIB_IMAGE}$${HEADER}$${F20}.hpp \
          $${LIB_IMAGE}$${HEADER}$${F21}.hpp \
          $${LIB_IMAGE}$${HEADER}$${F22}.hpp \
          $${HEADER}$${F23}.hpp \


SOURCES = $${SRC}$${F01}.cpp \
          $${LIB_3D}$${SRC}$${F02}.cpp \
          $${LIB_3D}$${SRC}$${F03}.cpp \
          $${LIB_3D}$${SRC}$${F04}.cpp \
          $${LIB_3D}$${SRC}$${F05}.cpp \
          $${LIB_3D}$${SRC}$${F06}.cpp \
          $${LIB_3D}$${SRC}$${F07}.cpp \
          $${LIB_3D}$${SRC}$${F08}.cpp \
          $${LIB_3D}$${SRC}$${F09}.cpp \
          $${LIB_3D}$${SRC}$${F10}.cpp \
          $${LIB_3D}$${SRC}$${F11}.cpp \
          $${LIB_IMAGE}$${SRC}$${F12}.cpp \
          $${LIB_IMAGE}$${SRC}$${F13}.cpp \
          $${LIB_IMAGE}$${SRC}$${F14}.cpp \
          $${LIB_IMAGE}$${SRC}$${F15}.cpp \
          $${LIB_IMAGE}$${SRC}$${F16}.cpp \
          $${LIB_IMAGE}$${SRC}$${F17}.cpp \
          $${LIB_IMAGE}$${SRC}$${F18}.cpp \
          $${LIB_IMAGE}$${SRC}$${F19}.cpp \
          $${LIB_IMAGE}$${SRC}$${F20}.cpp \
          $${LIB_IMAGE}$${SRC}$${F21}.cpp \
          $${LIB_IMAGE}$${SRC}$${F22}.cpp \
          $${SRC}$${F23}.cpp \

TARGET = tp_cpe
QT +=
CONFIG += debug warn_on

INCLUDEPATH = $${HEADER} $${LIB_3D}$${HEADER} $${LIB_IMAGE}$${HEADER}

LIBS =


unix{
OBJECTS_DIR = junk/
MOC_DIR     = junk/
}
