/*
**    TP 4ETI CPE Lyon
**    Copyright (C) 2012 Damien Rohmer
**
**    This program is free software: you can redistribute it and/or modify
**    it under the terms of the GNU General Public License as published by
**    the Free Software Foundation, either version 3 of the License, or
**    (at your option) any later version.
**
**   This program is distributed in the hope that it will be useful,
**    but WITHOUT ANY WARRANTY; without even the implied warranty of
**    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
**    GNU General Public License for more details.
**
**    You should have received a copy of the GNU General Public License
**    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/




#ifndef TRIANGLE_HPP
#define TRIANGLE_HPP

#include <vertex.hpp>

namespace cpe
{
/** \brief Container for a triangle (position+normal+color) */
struct triangle
{
    public:

        /** \brief constructor (init value at 0) */
        triangle();
        /** \brief direct constructor */
        triangle(const vertex& v0,const vertex& v1,const vertex& v2);

        /** \brief Triangle is a container storing 3 vertex */
        vertex v[3];

};
}

#endif
