/*
**    TP 4ETI CPE Lyon
**    Copyright (C) 2012 Damien Rohmer
**
**    This program is free software: you can redistribute it and/or modify
**    it under the terms of the GNU General Public License as published by
**    the Free Software Foundation, either version 3 of the License, or
**    (at your option) any later version.
**
**   This program is distributed in the hope that it will be useful,
**    but WITHOUT ANY WARRANTY; without even the implied warranty of
**    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
**    GNU General Public License for more details.
**
**    You should have received a copy of the GNU General Public License
**    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/


#include <scanline_data.hpp>

namespace cpe
{

//on initialise scanline data avec des valeurs (+infty,-infty)
scanline_data::scanline_data():x(0),info_min(+50000,0,0),info_max(-50000,0,0){}
scanline_data::scanline_data(const int& x_,const info_pixel& info_min_,const info_pixel& info_max_)
    :x(x_),info_min(info_min_),info_max(info_max_){}

info_pixel::info_pixel():y(0),alpha(0),line_index(0){}
info_pixel::info_pixel(const int& y_,const double& alpha_,const int& line_index_)
    :y(y_),alpha(alpha_),line_index(line_index_){}



}
